PlasticTreeUI (JGoodies Looks 2.6 API)
Date: 2014-02-27

com.jgoodies.looks.plastic

## Class PlasticTreeUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TreeUI
    - - javax.swing.plaf.basic.BasicTreeUI
      - - com.jgoodies.looks.plastic.PlasticTreeUI

-     public final class PlasticTreeUI
      extends BasicTreeUI

  The JGoodies Plastic Look&Feel implementation of `TreeUI`. It provides two line styles: angled dashed lines, or no lines at all. By default, lines are drawn.

  You can change the line style by setting a client property. The property key and values are a subset of the values used by the Metal L&F tree. To hide lines use one of the following:

       JTree tree1 = new JTree();
       tree1.putClientProperty("JTree.lineStyle", "None");

       JTree tree2 = new JTree();
       tree1.putClientProperty(Options.TREE_LINE_STYLE_KEY,
                               Options.TREE_LINE_STYLE_NONE_VALUE);

  Although lines are shown by default, you could code:

       JTree tree1 = new JTree();
       tree1.putClientProperty("JTree.lineStyle", "Angled");

       JTree tree2 = new JTree();
       tree1.putClientProperty(Options.TREE_LINE_STYLE_KEY,
                               Options.TREE_LINE_STYLE_ANGLED_VALUE);

  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTreeUI

      `BasicTreeUI.CellEditorHandler, BasicTreeUI.ComponentHandler, BasicTreeUI.FocusHandler, BasicTreeUI.KeyHandler, BasicTreeUI.MouseHandler, BasicTreeUI.MouseInputHandler, BasicTreeUI.NodeDimensionsHandler, BasicTreeUI.PropertyChangeHandler, BasicTreeUI.SelectionModelPropertyChangeHandler, BasicTreeUI.TreeCancelEditingAction, BasicTreeUI.TreeExpansionHandler, BasicTreeUI.TreeHomeAction, BasicTreeUI.TreeIncrementAction, BasicTreeUI.TreeModelHandler, BasicTreeUI.TreePageAction, BasicTreeUI.TreeSelectionHandler, BasicTreeUI.TreeToggleAction, BasicTreeUI.TreeTraverseAction`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicTreeUI

      `cellEditor, collapsedIcon, createdCellEditor, createdRenderer, currentCellRenderer, depthOffset, drawingCache, editingComponent, editingPath, editingRow, editorHasDifferentSize, expandedIcon, largeModel, lastSelectedRow, leftChildIndent, nodeDimensions, preferredMinSize, preferredSize, rendererPane, rightChildIndent, stopEditingInCompleteEditing, totalChildIndent, tree, treeModel, treeSelectionModel, treeState, validCachedPreferredSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticTreeUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent b)`
    `protected void` | `drawCentered(Component c, Graphics graphics, Icon icon, int x, int y)`
    `void` | `installUI(JComponent c)`
    `protected void` | `paintHorizontalLine(Graphics g, JComponent c, int y, int left, int right)`
    `protected void` | `paintVerticalLine(Graphics g, JComponent c, int x, int top, int bottom)`
    `void` | `uninstallUI(JComponent c)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTreeUI

      `cancelEditing, checkForClickInExpandControl, completeEditing, completeEditing, completeUIInstall, completeUIUninstall, configureLayoutCache, createCellEditorListener, createCellRendererPane, createComponentListener, createDefaultCellEditor, createDefaultCellRenderer, createFocusListener, createKeyListener, createLayoutCache, createMouseListener, createNodeDimensions, createPropertyChangeListener, createSelectionModelPropertyChangeListener, createTreeExpansionListener, createTreeModelListener, createTreeSelectionListener, drawDashedHorizontalLine, drawDashedVerticalLine, ensureRowsAreVisible, getBaseline, getBaselineResizeBehavior, getCellEditor, getCellRenderer, getClosestPathForLocation, getCollapsedIcon, getDropLineRect, getEditingPath, getExpandedIcon, getHashColor, getHorizontalLegBuffer, getLastChildPath, getLeadSelectionRow, getLeftChildIndent, getMaximumSize, getMinimumSize, getModel, getPathBounds, getPathForRow, getPreferredMinSize, getPreferredSize, getPreferredSize, getRightChildIndent, getRowCount, getRowForPath, getRowHeight, getRowX, getSelectionModel, getShowsRootHandles, getVerticalLegBuffer, handleExpandControlClick, installComponents, installDefaults, installKeyboardActions, installListeners, isDropLine, isEditable, isEditing, isLargeModel, isLeaf, isLocationInExpandControl, isMultiSelectEvent, isRootVisible, isToggleEvent, isToggleSelectionEvent, paint, paintDropLine, paintExpandControl, paintHorizontalPartOfLeg, paintRow, paintVerticalPartOfLeg, pathWasCollapsed, pathWasExpanded, prepareForUIInstall, prepareForUIUninstall, selectPathForEvent, setCellEditor, setCellRenderer, setCollapsedIcon, setEditable, setExpandedIcon, setHashColor, setLargeModel, setLeftChildIndent, setModel, setPreferredMinSize, setRightChildIndent, setRootVisible, setRowHeight, setSelectionModel, setShowsRootHandles, shouldPaintExpandControl, startEditing, startEditingAtPath, stopEditing, toggleExpandState, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, updateCachedPreferredSize, updateCellEditor, updateDepthOffset, updateExpandedDescendants, updateLayoutCacheExpandedNodes, updateLeadSelectionRow, updateRenderer, updateSize`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlasticTreeUI

          public PlasticTreeUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### installUI

          public void installUI(JComponent c)

      Overrides:
        `installUI` in class `BasicTreeUI`

    - #### uninstallUI

          public void uninstallUI(JComponent c)

      Overrides:
        `uninstallUI` in class `BasicTreeUI`

    - #### paintVerticalLine

          protected void paintVerticalLine(Graphics g,
                               JComponent c,
                               int x,
                               int top,
                               int bottom)

      Overrides:
        `paintVerticalLine` in class `BasicTreeUI`

    - #### paintHorizontalLine

          protected void paintHorizontalLine(Graphics g,
                                 JComponent c,
                                 int y,
                                 int left,
                                 int right)

      Overrides:
        `paintHorizontalLine` in class `BasicTreeUI`

    - #### drawCentered

          protected void drawCentered(Component c,
                          Graphics graphics,
                          Icon icon,
                          int x,
                          int y)

      Overrides:
        `drawCentered` in class `BasicTreeUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.